# Change Log

This project adheres to [Semantic Versioning](http://semver.org/).

## [3.13.22] 2021-06-10

- Update **postcss** to [postcss/releases/tag/8.3.1](https://github.com/postcss/postcss/releases/tag/8.3.1)
  - Fixed false positives `PostCSS does nothing` warning on `syntax` option.
- Update dev dependencies
- Fixed dependencies vulnerabilities

## [3.12.21] 2021-05-18

- Update **postcss** to [postcss/releases/tag/8.2.15](https://github.com/postcss/postcss/releases/tag/8.2.15)
  - Fixed `list` type definitions
- Update dev dependencies
- Fixed dependencies vulnerabilities

## [3.11.20] 2021-05-04

- Update **postcss** to [postcss/releases/tag/8.2.13](https://github.com/postcss/postcss/releases/tag/8.2.13)
  - Fixed ReDoS vulnerabilities in source map parsing
- Update dev dependencies

## [3.10.19] 2021-04-12

- Update **postcss** to [postcss/releases/tag/8.2.10](https://github.com/postcss/postcss/releases/tag/8.2.10)
  - Fixed ReDoS vulnerabilities in source map parsing
  - Fixed webpack 5 support
  - Fixed docs
- Update dev dependencies

## [3.9.17] 2021-03-05

- Update **postcss** to [postcss/releases/tag/8.2.7](https://github.com/postcss/postcss/releases/tag/8.2.7)
- Update dev dependencies
- Fixed vulnerabilities

## [3.8.16] 2021-03-05

- Update **postcss** to [postcss/releases/tag/8.2.7](https://github.com/postcss/postcss/releases/tag/8.2.7)
- Update dev dependencies

## [3.7.15] 2021-02-11

- Update **postcss** to [postcss/releases/tag/8.2.6](https://github.com/postcss/postcss/releases/tag/8.2.6)
- Update dev dependencies

## [3.6.15] 2021-02-07

- Update **postcss** to [postcss/releases/tag/8.2.5](https://github.com/postcss/postcss/releases/tag/8.2.5)
- Update dev dependencies

## [3.5.15] 2021-01-19

- Update **postcss** to [postcss/releases/tag/8.2.4](https://github.com/postcss/postcss/releases/tag/8.2.4)
- Update dev dependencies
- Move to organization Solvers Group

## [3.4.13] 2021-01-08

- Update **postcss** to [postcss/releases/tag/8.2.3](https://github.com/postcss/postcss/releases/tag/8.2.3)
- Update dev dependencies

## [3.3.12] 2020-12-31

- Update **postcss** to [postcss/releases/tag/8.2.2](https://github.com/postcss/postcss/releases/tag/8.2.2)

## [3.2.12] 2020-12-29

- Update dev dependencies
- Bump node-notifier from 8.0.0 to 8.0.1 #26 fixes a security vulnerability

## [3.2.10] 2020-12-09

- Update **postcss** to [postcss/releases/tag/8.2.1](https://github.com/postcss/postcss/releases/tag/8.2.1)
- Update dev dependencies

## [3.1.9] 2020-12-07

- Сhange link to the article "Six things I learnt about iOS Safari's rubber band scrolling"

## [3.1.8] 2020-12-04

- Update **postcss** to [postcss/releases/tag/8.1.14](https://github.com/postcss/postcss/releases/tag/8.1.14)

## [3.1.7] 2020-12-03

- Update **postcss** `8.1.10 -> 8.1.13`

## [3.1.6] 2020-12-01

- Update **postcss** `8.1.6 -> 8.1.10`
- Update dev dependencies

## [3.1.5] 2020-11-08

- Update **postcss** `8.1.2 -> 8.1.6`
- Update dev dependencies

## [3.1.4] 2020-10-19

- Update **postcss** `8.1.0 -> 8.1.2`
- Update dev dependencies

## [3.1.3] 2020-10-09

- Tests optiomization and add some comments to code

## [3.1.2] 2020-10-08

- Updated demo in README

## [3.1.1] 2020-10-08

- Optimization: skip rule if it is already processed

## [3.0.0] 2020-10-07

- PostCSS 8 support

## [2.8.20] 2020-09-12

- Update dependencies

## [2.8.19] 2020-07-17

- fix potential security vulnerabilities

## [2.8.18] 2020-07-17

- Update dev dependencies

## [2.8.17] 2020-07-07

- Update dependencies

## [2.7.17] 2020-06-06

- Update dependencies

## [2.6.17] 2020-05-22

- Update dev dependencies

## [2.5.17] 2020-04-15

- Update dev dependencies

## [2.5.16] 2020-03-15

- Update dev dependencies

## [2.5.15] 2020-02-19

- Update dependencies
- Add `yarn.lock` file

## [2.3.14] 2020-02-05

- tech update, for travis ci

## [2.3.13] 2020-02-04

- No reasons for update, just informations fixes

## [2.3.12] 2020-02-03

- Update dev dependencies
- index.test.js eslint fix

## [2.3.10] 2020-01-28

### Bumps

 - postcss `^7.0.25` → `^7.0.26`
 - @logux/eslint-config `35.0.2` → `35.0.3`
 - eslint-plugin-node `10.0.0` → `11.0.0`
 - jest `^24.9.0` → `^25.1.0`

## [2.2.9] 2019-12-24

### Bumps

 - @logux/eslint-config `35.0.1` → `35.0.2`
 - eslint-plugin-unicorn `^14.0.1` → `^15.0.1`

## [2.2.8] 2019-12-21

### Fixed

 - Set default options if passed options are not an `Array`

### Added

 - Test if passed options are not an `Array`
 - `test` and `.vscode` directories to .npmignore
 - `.vscode` directory to .gitignore

### Bumps

 - postcss from `7.0.23` to `7.0.25`
 - @logux/eslint-config from `35.0.0` to `35.0.1`
 - eslint from `6.7.1` to `6.8.0`
 - eslint-plugin-import from `2.18.2` to `2.19.1`
 - eslint-plugin-jest from `23.0.5` to `23.1.1`
 - eslint-plugin-unicorn from `13.0.0` to `14.0.1`

## [2.1.6] 2019-10-29

### Bumps
  - @logux/eslint-config from `34.0.1` to `35.0.0`

## [2.1.5] 2019-10-27

### Bumps

  - eslint from `6.7.0` to `6.7.1`
  - eslint-plugin-jest from `23.0.4` to `23.0.5`

## 2.1.3

- Update README.md
- Add specific node LTS versions for Travis CI
- Refactor plugin code
- fix dependencies security vulnerabilities
- Update dependencies

## 1.9.15

- fix dependencies potential security vulnerability

## 1.8.15

- Update dependencies
- Add .git to .npmignore
- ESLint fixes tests script

## 1.7.13

- Fix potential security vulnerabilities
- ESlint fix for tests script

## 1.6.12

- Add overflow-x and overflow-y support
- Examples for plugin custom options

## 1.5.10

- Update dependencies
- Fix eslint errors/conflicts

## 1.4.8

- Update README, links to examples

## 1.4.7

- Fix demo images for README

## 1.4.6

- Improve docs

## 1.4.5

- Updated keywords
- Change test script command in package.json
- Update all dependencies

## 1.3.4

- removed "short" functionality and added new options
- added tests for new functionality
- update dependencies

## 0.1.3

- Add Linux and OSX for Travis CI

## 0.1.2

- Fix testing errors (jest not work in nodejs 4.x)
